#include <iostream>
using namespace std;
long long spoji(long long a, long long b) {
   long long times = 1;
   while (times <= b)
      times *= 10;
   return a*times + b;
}
int main()

{
long long br1,br2,br3,rez,maks=LONG_LONG_MIN;
cin>>br1>>br2>>br3;
rez=spoji(spoji(br1,br2),br3);
if(rez>maks)
    maks=rez;
rez=spoji(spoji(br1,br3),br2);
if(rez>maks)
    maks=rez;
rez=spoji(spoji(br2,br1),br3);
if(rez>maks)
    maks=rez;
rez=spoji(spoji(br2,br3),br1);
if(rez>maks)
    maks=rez;
rez=spoji(spoji(br3,br1),br2);
if(rez>maks)
    maks=rez;
rez=spoji(spoji(br3,br2),br1);
if(rez>maks)
    maks=rez;
cout<<maks;
}